Name:           griffith
Version:        0.12.1
Release:        2%{?dist}
Summary:        Media collection manager

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.griffith.cc
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       pygtk2
Requires:       python-sqlalchemy >= 0.5
Requires:       python-lxml
Requires:       python-sqlite2
Requires:       python-imaging 
Requires:       python-reportlab
Requires:       gnome-python2-gtkspell
Patch1:         tree_view_fix.patch


%description
Griffith is a media collection manager application. Adding items to the 
collection is as quick and easy as typing the film title and selecting a 
supported source. Griffith will then try to fetch all the related information 
from the Web.

This Version comes with SQLite support. You need to install
 * the package "MySQL-python" for MySQL-support
 * the package "python-psycopg2" for PostgreSQL-support


%prep
%setup -q 
%patch1 -p1 -b .orig

find -iname "*.mo" -exec rm -f {} \;

iconv -f iso-8859-1 -t utf-8 docs/pl/%{name}.1 |sed 's|\r||g' > docs/pl/%{name}.1.utf8
touch -c -r docs/pl/%{name}.1 docs/pl/%{name}.1.utf8
mv docs/pl/%{name}.1.utf8 docs/pl/%{name}.1


%build
make -C po dist %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install \
     INSTALL="install -p" \
     DESTDIR=%{buildroot}

rm -f %{buildroot}%{_bindir}/%{name}

cat > %{buildroot}/%{_bindir}/%{name} << EOF
#!/bin/bash
%{_datadir}/%{name}/lib/%{name}
EOF

chmod +x %{buildroot}/%{_bindir}/%{name}

desktop-file-install \
       --dir=%{buildroot}/%{_datadir}/applications/ \
%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*
%{_datadir}/pixmaps/%{name}*
%{_mandir}/man1/%{name}*
%{_mandir}/*/man1/%{name}*
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Wed Mar 23 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.1-2
- Fix issue with crash #bug 676195

* Wed Mar 23 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.1-1
- Upgrade to v0.12.1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.10-2
- recompiling .py files against Python 2.7 (rhbz#623314)

* Wed Sep 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-0.2.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10-0.1.beta2
- Update to 0.10-beta2 to avoid crappy issues with sqlalchemy
- Remove binary mo-files and build it from source  

* Mon Mar 30 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.9-1
- Initial package release
